# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "futures-signals-ext"
version = "0.1.0"
authors = ["martin.kolarik@smartcontrol.cz"]
description = "Extension to futures-signals: MutableOption with combinators, spawning, predicate driven selections from SignalVec."
homepage = "https://github.com/martin-kolarik/futures-signals-ext"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/martin-kolarik/futures-signals-ext"

[dependencies.async-global-executor]
version = "^2.3"
optional = true
default-features = false

[dependencies.futures-signals]
version = "^0.3"
default-features = false

[dependencies.pin-project-lite]
version = "^0.2"

[features]
default = [
    "option",
    "spawn",
    "spawn_local",
]
option = []
spawn = ["async-global-executor"]
spawn_local = ["async-global-executor"]
